Bug 836658 - (CVE-2012-3371) CVE-2012-3371 OpenStack-Nova: Scheduler denial of service through scheduler_hints
CVE-2012-3371 OpenStack-Nova: Scheduler denial of service through scheduler_h...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120711,reported=2...
: Security
Depends On: 839407 844041
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 16:41 EDT by Kurt Seifried
Modified: 2016-04-26 15:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 15:07:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream patch for Essex (1.92 KB, patch)
2012-07-04 03:44 EDT, Tomas Hoger
no flags Details | Diff
Upstream patch for Folsom (1.81 KB, patch)
2012-07-04 03:45 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2012-06-29 16:41:06 EDT
Title: Scheduler denial of service through scheduler_hints
Impact: Medium
Reporter: Dan Prince (Red Hat)
Products: Nova
Affects: Essex, Folsom series

Description:
Dan Prince from Red Hat reported a vulnerability in Nova scheduler
nodes. By creating servers with malicious scheduler_hints, an
authenticated user may generate a huge amount of database calls,
potentially resulting in a Denial of Service attack against Nova
scheduler nodes. Only setups exposing the OpenStack API and enabling
DifferentHostFilter and/or SameHostFilter are affected.
Comment 3 Tomas Hoger 2012-07-04 03:44:53 EDT
Created attachment 596162 [details]
Upstream patch for Essex
Comment 4 Tomas Hoger 2012-07-04 03:45:38 EDT
Created attachment 596163 [details]
Upstream patch for Folsom
Comment 5 Kurt Seifried 2012-07-11 17:32:32 EDT
Created openstack-nova tracking bugs for this issue

Affects: fedora-all [bug 839407]
Comment 7 Kurt Seifried 2012-07-28 02:20:33 EDT
Created openstack-nova tracking bugs for this issue

Affects: epel-6 [bug 844041]

Note You need to log in before you can comment on or make changes to this bug.